Interface EhcacheEndpointBuilderFactory.EhcacheBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- EhcacheEndpointBuilderFactory
public static interface EhcacheEndpointBuilderFactory.EhcacheBuilders
-
Method Summary
Modifier and TypeMethodDescriptionehcache()Ehcache (camel-ehcache) Perform caching operations using Ehcache.Ehcache (camel-ehcache) Perform caching operations using Ehcache.Ehcache (camel-ehcache) Perform caching operations using Ehcache.
-
Method Details
-
ehcache
Ehcache (camel-ehcache) Perform caching operations using Ehcache. Category: cache,clustering Since: 2.18 Maven coordinates: org.apache.camel:camel-ehcache- Returns:
- the dsl builder for the headers' name.
-
ehcache
Ehcache (camel-ehcache) Perform caching operations using Ehcache. Category: cache,clustering Since: 2.18 Maven coordinates: org.apache.camel:camel-ehcache Syntax:ehcache:cacheNamePath parameter: cacheName (required) the cache name- Parameters:
path- cacheName- Returns:
- the dsl builder
-
ehcache
default EhcacheEndpointBuilderFactory.EhcacheEndpointBuilder ehcache(String componentName, String path) Ehcache (camel-ehcache) Perform caching operations using Ehcache. Category: cache,clustering Since: 2.18 Maven coordinates: org.apache.camel:camel-ehcache Syntax:ehcache:cacheNamePath parameter: cacheName (required) the cache name- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- cacheName- Returns:
- the dsl builder
-